Results 1 to 8 of 8

Thread: Pyrit error

  1. #1
    Just burned his ISO
    Join Date
    Nov 2010
    Posts
    4

    Default Pyrit error

    hi all.ive managed to get pyrit to see my ati 5650 mobilty card,it shows up when i list_cores and i get roughly 15000 when i benchmark but i have problems trying to run commands.I get this output and after 12 hours of googling am lost.Any help muchly appreciated.No-doubt its a simple answer i find it usually is,after ive over thought things too much.
    root@bt:~# pyrit -e maverick -i /pentest/passwords/wordlists/darkc0de.lst -r wpa-01.cap attack_passthrough
    Pyrit 0.4.0-dev (svn r288) (C) 2008-2010 Lukas Lueg pyrit - Project Hosting on Google Code
    This code is distributed under the GNU General Public License v3+

    Parsing file 'wpa-01.cap' (1/1)...
    Traceback (most recent call last):
    File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 163, in new_f
    f(*args, **kwds)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 912, in attack_passthrough
    ap = self._fuzzyGetAP(self._getParser(capturefile), bssid, essid)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 179, in _getParser
    parser.parse_pcapdevice(dev)
    File "/usr/lib/python2.5/site-packages/cpyrit/pckttools.py", line 600, in parse_pcapdevice
    for pckt in reader:
    File "/usr/lib/python2.5/site-packages/cpyrit/pckttools.py", line 500, in next
    pckt = self.read()
    File "/usr/lib/python2.5/site-packages/cpyrit/pckttools.py", line 491, in read
    pckt = self.datalink_handler(pckt_string)
    File "/usr/lib/python2.5/site-packages/scapy/base_classes.py", line 194, in __call__
    i.__init__(*args, **kargs)
    File "/usr/lib/python2.5/site-packages/scapy/packet.py", line 75, in __init__
    self.dissect(_pkt)
    File "/usr/lib/python2.5/site-packages/scapy/packet.py", line 563, in dissect
    s = self.do_dissect(s)
    File "/usr/lib/python2.5/site-packages/scapy/packet.py", line 537, in do_dissect
    s,fval = f.getfield(self, s)
    File "/usr/lib/python2.5/site-packages/scapy/layers/dot11.py", line 32, in getfield
    return MACField.getfield(self, pkt, s)
    File "/usr/lib/python2.5/site-packages/scapy/fields.py", line 69, in getfield
    return s[self.sz:], self.m2i(pkt, struct.unpack(self.fmt, s[:self.sz])[0])
    File "/usr/lib/python2.5/struct.py", line 87, in unpack
    return o.unpack(s)
    struct.error: unpack requires a string argument of length 6
    root@bt:~#

  2. #2
    Just burned his ISO
    Join Date
    Nov 2010
    Posts
    4

    Default Re: Pyrit error

    sorry for such a silly question,its the noob in me,ive found the answer and feel quite the fool.....or in the words of hiomer simpson..DOH

  3. #3
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: Pyrit error

    You could share the answer maybe someone else might find it helpful
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

  4. #4
    Just burned his ISO
    Join Date
    Nov 2010
    Posts
    4

    Default

    i thought id found the answer but didnt,I can run the test dump files in pyrit and it runs just fine but wont run my cap file it keeps coming up with
    pyrit -r wpa-01.cap.gz -o wpa-01-stripped.gz strip
    Pyrit 0.4.0-dev (svn r288) (C) 2008-2010 Lukas Lueg pyrit - Project Hosting on Google Code
    This code is distributed under the GNU General Public License v3+

    Parsing file 'wpa-01.cap.gz' (1/1)...
    Traceback (most recent call last):
    File "/usr/bin/pyrit", line 6, in <module>
    pyrit_cli.Pyrit_CLI().initFromArgv()
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 115, in initFromArgv
    func(self, **options)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 163, in new_f
    f(*args, **kwds)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 478, in stripCapture
    parser = self._getParser(capturefile)
    File "/usr/lib/python2.5/site-packages/pyrit_cli.py", line 179, in _getParser
    parser.parse_pcapdevice(dev)
    File "/usr/lib/python2.5/site-packages/cpyrit/pckttools.py", line 600, in parse_pcapdevice
    for pckt in reader:
    File "/usr/lib/python2.5/site-packages/cpyrit/pckttools.py", line 500, in next
    pckt = self.read()
    File "/usr/lib/python2.5/site-packages/cpyrit/pckttools.py", line 491, in read
    pckt = self.datalink_handler(pckt_string)
    File "/usr/lib/python2.5/site-packages/scapy/base_classes.py", line 194, in __call__
    i.__init__(*args, **kargs)
    File "/usr/lib/python2.5/site-packages/scapy/packet.py", line 75, in __init__
    self.dissect(_pkt)
    File "/usr/lib/python2.5/site-packages/scapy/packet.py", line 563, in dissect
    s = self.do_dissect(s)
    File "/usr/lib/python2.5/site-packages/scapy/packet.py", line 537, in do_dissect
    s,fval = f.getfield(self, s)
    File "/usr/lib/python2.5/site-packages/scapy/layers/dot11.py", line 32, in getfield
    return MACField.getfield(self, pkt, s)
    File "/usr/lib/python2.5/site-packages/scapy/fields.py", line 69, in getfield
    return s[self.sz:], self.m2i(pkt, struct.unpack(self.fmt, s[:self.sz])[0])
    File "/usr/lib/python2.5/struct.py", line 87, in unpack
    return o.unpack(s)
    struct.error: unpack requires a string argument of length 6
    i thought it may be because imy cap file was too big or full of junk but i cant even use the strip command on it(get the above errors),i tried filtering out the eapol packets with wireshark but get same as above and also tried compressing my stripped and non stripped cap files.Any help would be incredibly appreciated.BTW this place rocks ive learnt so much.

    i forgot to add the the .cap file seems ok because i can run it in elcomsoft wireless sequirt auditor...i vaptured it in airodump too,and im using bt4 r1 and followed the guide here for getting my ati card to work with pyrit,I cant understand why it works with the test files and not mine.
    Last edited by Archangel-Amael; 11-06-2010 at 11:57 AM.

  5. #5
    Developer
    Join Date
    Mar 2007
    Posts
    6,124

    Default Re: Pyrit error

    Pyrit is a very finicky program. I have a lot of issues with it. The best thing to do is to use the wpa.cap out of the aircrack test directory and see if that works with pyrit. It is a perfect capture so if it works then you know there is a issue with your cap file. Also using aircrack as a tester for a wpa capture is a bad idea. Aircrack will say its a good capture with only 1 or 2 eapol packets, however, pyrit needs all 4 packets to parse and attack a capture.

  6. #6
    Just burned his ISO
    Join Date
    Nov 2010
    Posts
    4

    Default Re: Pyrit error

    Quote Originally Posted by purehate View Post
    Pyrit is a very finicky program. I have a lot of issues with it. The best thing to do is to use the wpa.cap out of the aircrack test directory and see if that works with pyrit. It is a perfect capture so if it works then you know there is a issue with your cap file. Also using aircrack as a tester for a wpa capture is a bad idea. Aircrack will say its a good capture with only 1 or 2 eapol packets, however, pyrit needs all 4 packets to parse and attack a capture.
    Thankyou very much purehate,you were spot on,it was my capture that was the problem,it worked fine with the aircrack test wpa.cap.I am again a happy camper,thnx again for helping me out.

  7. #7
    Just burned his ISO
    Join Date
    Sep 2008
    Posts
    1

    Default Re: Pyrit error

    Hey all, trying to install pyrit on bt4 keep meeting the same error
    ImportError: libssl.so.0: cannot open shared object file: No such file or directory
    can someone help me out? iv'e tried google but i cant find anything specific. Am mad curious to see how well it works.

  8. #8
    Administrator sickness's Avatar
    Join Date
    Jan 2010
    Location
    Behind the screen.
    Posts
    2,921

    Default Re: Pyrit error

    Quote Originally Posted by TheYikes View Post
    Hey all, trying to install pyrit on bt4 keep meeting the same error
    can someone help me out? iv'e tried google but i cant find anything specific. Am mad curious to see how well it works.
    Pyrit is already installed in Backtrack 4.
    Back|track giving machine guns to monkeys since 2007 !

    Do not read the Wiki, most your questions will not be answered there !
    Do not take a look at the: Forum Rules !

Similar Threads

  1. pyrit use only gpu
    By lizdainis in forum Beginners Forum
    Replies: 2
    Last Post: 08-03-2010, 08:44 PM
  2. pyrit +cowpatty error
    By lizdainis in forum Beginners Forum
    Replies: 6
    Last Post: 07-30-2010, 09:13 AM
  3. Pyrit error cuda
    By jeppoo in forum OLD BackTrack 4 (pre) Final
    Replies: 1
    Last Post: 01-29-2010, 12:49 AM
  4. problem getting pyrit to see hd4850 - error with repository package
    By n3tkami in forum OLD BackTrack 4 (pre) Final
    Replies: 0
    Last Post: 01-08-2010, 06:53 PM
  5. Error when compiling pyrit
    By joker5bb in forum OLD BackTrack 4 General Support
    Replies: 10
    Last Post: 01-04-2010, 04:12 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •